.header{position: sticky; background-color: #000; border: 0; z-index: 111;}


.blog-page{padding: 120px 0;}
.blog-page .top-heading-sec h2{font-size: 58px; font-weight: 600; line-height: 70px; text-align: left; margin-bottom: 32px;}
.blog-page .latest-sec::before{content: '';display: block; width: 50%; margin: 30px 0; height: 2px; background-color: #EDEDED;}
.latest-sec ul li{font-size: 20px; line-height: 26px; font-weight: 400; color: #333333; margin-bottom: 10px;}
.latest-sec ul li.current-cat{color: #0ddae5; font-weight: 600;}
.latest-sec ul li:hover{color: #0ddae5; font-weight: 600;}
.cat-item.cat-item-1{display: none !important;}
.blog-left-side{position: sticky; top: 150px; height: 100%;}
.blog-right-side{padding-left: 50px;border-left: 1px solid #ededed;}
.all-blogs{display: grid ; grid-template-columns: 1fr 1fr; grid-gap: 50px 40px;}
.all-blogs .each-blog img{width: 100%; height: 300px; object-fit: cover; border-radius: 12px;    margin-bottom: 30px;}
.all-blogs .each-blog .info{display: flex ; align-items: center;margin-bottom: 15px;}
.all-blogs .each-blog .info h4{font-weight: 500; font-size: 16px; color: #000000B2; }
.all-blogs .each-blog .info span{margin: 0 10px;}
.all-blogs .each-blog .info h4 a:hover{color: #0ddae5;}
.all-blogs .each-blog h3{font-size: 26px; color: #333333; line-height: 35px; font-weight: 600; margin-bottom: 20px;}
.all-blogs .each-blog p{font-size: 18px; color: #333333B2; line-height: 26px; font-weight: 400; margin-bottom: 25px;overflow: hidden; display: -webkit-box; -webkit-line-clamp: 4; line-clamp: 4; -webkit-box-orient: vertical; height: 103px;}
.all-blogs .each-blog .read-more-btn{color: #0ddae5; font-weight: 500; font-size: 18px; line-height: 21px; text-decoration: underline;    margin-top: auto;}
.all-blogs .each-blog{display: flex ; flex-direction: column;}
.all-blogs .each-blog article{display: flex ; flex-direction: column; height: 100%;}
.all-blogs .each-blog h3 a:hover{color: #0ddae5;}
.blog-page .pagination{justify-content: center;margin-top: 0;}
.blog-page .pagination .page-numbers{padding: 15px 15px; background-color: transparent; font-size: 22px; margin: 0 2px; line-height: 16px; font-weight: 500; color: #7A7A7A; border-radius: 6px;margin-top: 100px; display: inline-block;}
.blog-page .pagination .page-numbers:hover{background-color: #0000000a;color: #333;}
/* .blog-page .pagination .prev.page-numbers{transform: rotate(180deg);} */
.category-heading h1{font-size: 52px; line-height: 55px; font-weight: 600; color: #2C2C2E; margin-bottom: 50px;}
.category-heading p{font-family: "Montserrat", sans-serif; font-size: 28px; line-height: 35px; font-weight: 600; color: #8F8DC8; margin-bottom: 0; text-transform: uppercase;}




.blog-single-page{padding: 120px 0;}
.blog-single-page p.all-posts{ font-size: 16px; color: #6F6F6F; line-height: 22px;margin-bottom: 125px;}
.blog-single-page p.all-posts.mobile{display: none;}
.blog-single-page p.all-posts a{background-image: url(/wp-content/uploads/2025/07/hover-menu-lest-iconblog.png); background-repeat: no-repeat; background-position: 0 3px; padding-left: 20px; background-size: 13px;}
.blog-single-page p.all-posts a:hover{color: #1C1C1C; background-image: url(/wp-content/uploads/2025/07/hover-menu-lest-iconblog.png);}
.blog-single-page .single-right-side p{ font-size: 16px; font-weight: 400; line-height: 21px;color: #6F6F6F;}
.blog-single-page .single-right-side p a{text-decoration: underline;}
.blog-single-page .single-right-side li a{text-decoration: underline;}
.blog-single-page .single-right-side p a:hover, .blog-single-page .single-right-side li a:hover{color: #1C1C1C;}
.blog-single-page .single-right-side h1{font-size: 50px; line-height: 62px; font-weight: 600; color: #1C1C1C; margin: 25px 0 30px 0;}
.blog-single-page .single-right-side .featured-image{width: 100%;height: auto;    border-radius: 12px;}
.blog-single-page .single-right-side .all-blog-contents{margin-top: 40px;}
.blog-single-page .single-right-side .all-blog-contents p{ font-size: 20px; font-weight: 400; line-height: 34px; color: #6F6F6F; margin-bottom: 20px;}
.blog-single-page .single-right-side .all-blog-contents h2 , .blog-single-page .single-right-side .all-blog-contents h3{font-size: 30px; line-height: 44px; font-weight: 600 !important; color: #1C1C1C; margin-bottom: 20px;margin-top: 40px;}
.blog-single-page .single-right-side .all-blog-contents h2 span , .blog-single-page .single-right-side .all-blog-contents h3 span{font-weight: 600 !important;}
.blog-single-page .single-right-side .all-blog-contents ul li{ font-size: 18px; font-weight: 600;  color: #333333CC;  margin-bottom: 15px;     line-height: 25px;}
.blog-single-page .single-right-side .all-blog-contents ul{list-style: disc; margin-left: 20px;    margin-bottom: 30px;}
.blog-single-page .single-right-side .all-blog-contents ol li{ font-size: 18px; font-weight: 600;  color: #333333CC;margin-bottom: 16px; }
.blog-single-page .single-right-side{padding-left: 30px;}
.blog-single-page .single-left-side .inner-content{position: sticky; top: 180px;max-height: calc(100vh - 100px);overflow-y: auto;padding-right: 15px;}
.blog-single-page .single-right-side .all-blog-contents h2 b, .blog-single-page .single-right-side .all-blog-contents h3 b{font-weight: 600 !important;}
.blog-single-page .single-right-side .all-blog-contents h4{font-size: 26px; line-height: 34px; font-weight: 400 !important; color: #333333; margin-bottom: 20px; margin-top: 0;}
.blog-single-page .single-right-side .all-blog-contents h4 b , .blog-single-page .single-right-side .all-blog-contents h4 strong{font-weight: 400 !important;}

.blog-single-page .single-left-side ul li{display: inline-block;margin-right: 15px;}
.blog-single-page .single-left-side ul li:last-child{margin-right: 0;}
.blog-single-page .single-left-side .toc-sec{margin-top: 70px;}
.blog-single-page .single-left-side .toc-sec h3{font-size: 24px; line-height: 31px; font-weight: 600; color: #333333; margin-bottom: 24px;}
.blog-single-page .single-left-side .toc-sec #toc-content{padding-left: 20px;border-left: 2px solid #EDEDED; position: relative;}
.blog-single-page .single-left-side .toc-sec #toc-magic-line { position: absolute; left: -1px; top: 0; width: 4px; background: #0ddae5; /* Magic line color */ transition: height 0.3s, top 0.3s; }
.blog-single-page .single-left-side .toc-sec #toc-content a {display: block; font-size: 20px; font-weight: 400; line-height: 28px; color: #6F6F6F; margin-bottom: 20px;}
.blog-single-page .single-left-side .toc-sec #toc-content a:last-child{margin-bottom: 0;}
.blog-single-page .single-left-side .toc-sec #toc-content a.active {color: #333333;font-weight: 600;}
.blog-single-page .single-left-side .toc-sec #toc-content a:hover{color: #333333;font-weight: 600;}
.blog-single-page .single-left-side .inner-content::-webkit-scrollbar { width: 5px; } 
.blog-single-page .single-left-side .inner-content::-webkit-scrollbar-thumb {background-color: #eee; border-radius: 10px; } 
.blog-single-page .single-left-side .inner-content::-webkit-scrollbar-track {background-color: #d3d3d3; border-radius: 5px;  }
.author-profile-img{width: 75px; height: auto;}
.author-details .author-desig{    margin-top: 10px;}
.blog-single-page .single-right-side .author-details .author-desig p{color: #6F6F6F; font-weight: 400; line-height: 26px;}
.author-details{display: flex ; align-items: center; gap: 20px; margin-top: 20px;    margin-bottom: 30px;}
.blog-single-page .single-right-side .author-details p{font-size: 19px; line-height: normal; font-weight: 600; color: #1C1C1C; text-decoration: unset !important;}
.blog-single-page .single-right-side .author-details p a{color: #1C1C1C; text-decoration: none;}
.blog-single-page .single-right-side .author-details p a:hover{color: #0ddae5;}
.blog-single-page .single-right-side .all-blog-contents h2 strong, .blog-single-page .single-right-side .all-blog-contents h3 strong{    font-weight: 600 !important;}
.blog-single-page .single-right-side .all-blog-contents h2 b, .blog-single-page .single-right-side .all-blog-contents h3 b{    font-weight: 600 !important;}



.blog-single-page .single-right-side .inner-content video {width: 100%;height: auto;}



@media (min-width: 1401px) and (max-width: 1800px){
.all-blogs .each-blog .info h4{font-size: 14px;}
.all-blogs .each-blog .info span { margin: 0 6px; }
.blog-page .top-heading-sec h2 { font-size: 52px;line-height: 60px;}
.category-heading h1 { font-size: 48px; line-height: 50px;}
.all-blogs .each-blog h3 { font-size: 24px;line-height: 33px;}
.blog-single-page .single-right-side h1 { font-size: 48px; line-height: 56px;}

}
@media (min-width: 1200px) and (max-width: 1399.98px){

.all-blogs .each-blog .info h4{font-size: 12px;}
.all-blogs .each-blog .info span { margin: 0 5px; }
.blog-page .top-heading-sec h2 { font-size: 48px;line-height: 54px;}
.category-heading h1 { font-size: 42px; line-height: 50px;}
.all-blogs .each-blog h3 { font-size: 22px;line-height: 30px;}
.all-blogs .each-blog img{height: 220px;    margin-bottom: 20px;}
.all-blogs .each-blog p { font-size: 16px;}
.blog-single-page .single-right-side h1 { font-size: 44px; line-height: 52px;}
.blog-single-page .single-right-side .all-blog-contents p { font-size: 18px;line-height: 28px;}
.blog-single-page .single-right-side .all-blog-contents h2, .blog-single-page .single-right-side .all-blog-contents h3 { font-size: 26px; line-height: 34px;}
.blog-single-page .single-right-side .all-blog-contents h4 { font-size: 22px; line-height: 24px;}
.blog-single-page .single-left-side .toc-sec #toc-content a{font-size: 18px;}
.latest-sec ul li { font-size: 18px;}
}
@media (max-width: 575.98px){

.all-blogs{display: grid ; grid-template-columns: 1fr; grid-gap: 40px; margin-top: 25px;}
.blog-left-side { position: unset;}
.blog-page, .blog-single-page { padding: 50px 0; }
.blog-page .top-heading-sec h2 { font-size: 32px; line-height: 40px; text-align: center; margin-bottom: 22px; }
.blog-page .top-heading-sec h2 br{display: none;}
.blog-page .latest-sec::before{width: 100%; margin: 20px 0; height: 3px;}
.latest-sec ul{padding: 0px 0 10px 0; overflow-x: auto; overflow-y: hidden; display: flex ; justify-content: flex-start;}
.latest-sec ul li{font-size: 17px; line-height: 21px; display: inline; white-space: nowrap; margin-bottom: 0; margin-right: 15px; width: max-content;}
.blog-right-side { padding-left: 12px; border-left: 0; }
.category-heading p{font-size: 14px; line-height: 25px;margin-bottom: 10px;margin-top: 0; text-align: center;}
.category-heading h1{font-size: 36px; line-height: 37px; text-align: center; margin-bottom: 20px;}
.all-blogs .each-blog img{height: 200px;    margin-bottom: 20px;    border-radius: 6px;}
.all-blogs .each-blog .info span { margin: 0 5px; }
.all-blogs .each-blog .info h4{font-size: 11px;}
.all-blogs .each-blog h3 { font-size: 22px;line-height: 30px;margin-bottom: 10px;}
.all-blogs .each-blog p { font-size: 16px;line-height: 24px;height: 100px;    margin-bottom: 15px;}
.all-blogs .each-blog .read-more-btn{font-size: 16px;}
.blog-page .pagination .page-numbers{padding: 10px 10px;font-size: 14px;line-height: 15px;margin-top: 50px;}
.blog-single-page p.all-posts{    margin-bottom: 0;}
.blog-single-page .single-left-side .toc-sec { display: none;}
.blog-single-page .single-right-side { padding-left: 12px; }
.blog-single-page .single-right-side h1 { font-size: 26px; line-height: 35px;margin: 10px 0 20px 0;}
.blog-single-page p.all-posts a{text-decoration: none; padding: 11px 15px 10px 35px; background-position: 15px 13px; display: inline-block; border: 1px solid #333; background-size: 14px; margin-bottom: 30px;}
.blog-single-page .single-right-side p { font-size: 14px;}
.blog-single-page .single-right-side .all-blog-contents { margin-top: 20px; }
.blog-single-page .single-right-side .all-blog-contents p { font-size: 16px; line-height: 26px; margin-bottom: 10px;}
.blog-single-page .single-right-side .all-blog-contents h2, .blog-single-page .single-right-side .all-blog-contents h3 { font-size: 22px; line-height: 32px;margin-bottom: 10px; margin-top: 20px;}
.blog-single-page .single-right-side .all-blog-contents h4 { font-size: 19px;line-height: 24px;margin-bottom: 10px;}
.author-profile-img{width: 45px;}
.blog-single-page .single-right-side .author-details .author-desig p{    font-size: 16px;}
.author-details .author-desig{    margin-top: 7px;}
.author-details{    gap: 14px;}
.blog-single-page .single-right-side .all-blog-contents ul li{    font-size: 16px;margin-bottom: 12px; line-height: 20px;}

}
@media (min-width: 768px) and (max-width: 991.98px){


.all-blogs{display: grid ; grid-template-columns: 1fr; grid-gap: 40px; margin-top: 25px;}
.blog-left-side { position: unset;}
.blog-page, .blog-single-page { padding: 50px 0; }
.blog-page .top-heading-sec h2 { font-size: 32px; line-height: 40px; text-align: center; margin-bottom: 22px; }
.blog-page .top-heading-sec h2 br{display: none;}
.blog-page .latest-sec::before{width: 100%; margin: 20px 0; height: 3px;}
.latest-sec ul{padding: 0px 0 10px 0; overflow-x: auto; overflow-y: hidden; display: flex ; justify-content: flex-start;}
.latest-sec ul li{font-size: 17px; line-height: 21px; display: inline; white-space: nowrap; margin-bottom: 0; margin-right: 15px; width: max-content;}
.blog-right-side { padding-left: 12px; border-left: 0; }
.category-heading p{font-size: 14px; line-height: 25px;margin-bottom: 10px;margin-top: 0; text-align: center;}
.category-heading h1{font-size: 36px; line-height: 37px; text-align: center; margin-bottom: 20px;}
.all-blogs .each-blog img{height: 200px;    margin-bottom: 20px;    border-radius: 6px;}
.all-blogs .each-blog .info span { margin: 0 5px; }
.all-blogs .each-blog .info h4{font-size: 12px;}
.all-blogs .each-blog h3 { font-size: 22px;line-height: 30px;margin-bottom: 10px;}
.all-blogs .each-blog p { font-size: 16px;line-height: 24px;height: 100px;    margin-bottom: 15px;}
.all-blogs .each-blog .read-more-btn{font-size: 16px;}
.blog-page .pagination .page-numbers{padding: 10px 10px;font-size: 14px;line-height: 15px;margin-top: 50px;}
.blog-single-page p.all-posts{    margin-bottom: 0;}
.blog-single-page .single-left-side .toc-sec { display: none;}
.blog-single-page .single-right-side { padding-left: 12px; }
.blog-single-page .single-right-side h1 { font-size: 26px; line-height: 35px;}
.blog-single-page p.all-posts a{text-decoration: none; padding: 11px 15px 10px 35px; background-position: 15px 13px; display: inline-block; border: 1px solid #333; background-size: 14px; margin-bottom: 30px;}
.blog-single-page .single-right-side p { font-size: 14px;}
.blog-single-page .single-right-side .all-blog-contents { margin-top: 20px; }
.blog-single-page .single-right-side .all-blog-contents p { font-size: 16px; line-height: 26px; margin-bottom: 10px;}
.blog-single-page .single-right-side .all-blog-contents h2, .blog-single-page .single-right-side .all-blog-contents h3 { font-size: 22px; line-height: 32px;margin-bottom: 10px; margin-top: 20px;}
.blog-single-page .single-right-side .all-blog-contents h4 { font-size: 19px;line-height: 24px;margin-bottom: 10px;}


}
@media (min-width: 992px) and (max-width: 1199.98px){

.all-blogs .each-blog .info h4{font-size: 10px;}
.all-blogs .each-blog .info span { margin: 0 5px; }
.blog-page .top-heading-sec h2 { font-size: 38px;line-height: 50px;}
.category-heading h1 { font-size: 42px; line-height: 50px;}
.all-blogs .each-blog h3 { font-size: 19px;line-height: 26px;}
.all-blogs .each-blog img{height: 180px;margin-bottom: 20px;}
.all-blogs .each-blog p { font-size: 14px;}
.blog-single-page .single-right-side h1 { font-size: 34px; line-height: 42px;}
.blog-single-page .single-right-side .all-blog-contents p { font-size: 18px;line-height: 28px;}
.blog-single-page .single-right-side .all-blog-contents h2, .blog-single-page .single-right-side .all-blog-contents h3 { font-size: 26px; line-height: 34px;}
.blog-single-page .single-right-side .all-blog-contents h4 { font-size: 22px; line-height: 24px;}
.blog-single-page .single-left-side .toc-sec #toc-content a{font-size: 18px;}
.latest-sec ul li { font-size: 18px;}
.blog-page, .blog-single-page  { padding: 80px 0; }
}

@media (min-width: 576px) and (max-width: 767.98px){
    
.all-blogs{display: grid ; grid-template-columns: 1fr; grid-gap: 40px; margin-top: 25px;}
.blog-left-side { position: unset;}
.blog-page, .blog-single-page { padding: 50px 0; }
.blog-page .top-heading-sec h2 { font-size: 32px; line-height: 40px; text-align: center; margin-bottom: 22px; }
.blog-page .top-heading-sec h2 br{display: none;}
.blog-page .latest-sec::before{width: 100%; margin: 20px 0; height: 3px;}
.latest-sec ul{padding: 0px 0 10px 0; overflow-x: auto; overflow-y: hidden; display: flex ; justify-content: flex-start;}
.latest-sec ul li{font-size: 17px; line-height: 21px; display: inline; white-space: nowrap; margin-bottom: 0; margin-right: 15px; width: max-content;}
.blog-right-side { padding-left: 12px; border-left: 0; }
.category-heading p{font-size: 14px; line-height: 25px;margin-bottom: 10px;margin-top: 0; text-align: center;}
.category-heading h1{font-size: 36px; line-height: 37px; text-align: center; margin-bottom: 20px;}
.all-blogs .each-blog img{height: 200px;    margin-bottom: 20px;    border-radius: 6px;}
.all-blogs .each-blog .info span { margin: 0 5px; }
.all-blogs .each-blog .info h4{font-size: 11px;}
.all-blogs .each-blog h3 { font-size: 22px;line-height: 30px;margin-bottom: 10px;}
.all-blogs .each-blog p { font-size: 16px;line-height: 24px;height: 100px;    margin-bottom: 15px;}
.all-blogs .each-blog .read-more-btn{font-size: 16px;}
.blog-page .pagination .page-numbers{padding: 10px 10px;font-size: 14px;line-height: 15px;margin-top: 50px;}
.blog-single-page p.all-posts{    margin-bottom: 0;}
.blog-single-page .single-left-side .toc-sec { display: none;}
.blog-single-page .single-right-side { padding-left: 12px; }
.blog-single-page .single-right-side h1 { font-size: 26px; line-height: 35px;}
.blog-single-page p.all-posts a{text-decoration: none; padding: 11px 15px 10px 35px; background-position: 15px 13px; display: inline-block; border: 1px solid #333; background-size: 14px; margin-bottom: 30px;}
.blog-single-page .single-right-side p { font-size: 14px;}
.blog-single-page .single-right-side .all-blog-contents { margin-top: 20px; }
.blog-single-page .single-right-side .all-blog-contents p { font-size: 16px; line-height: 26px; margin-bottom: 10px;}
.blog-single-page .single-right-side .all-blog-contents h2, .blog-single-page .single-right-side .all-blog-contents h3 { font-size: 22px; line-height: 32px;margin-bottom: 10px; margin-top: 20px;}
.blog-single-page .single-right-side .all-blog-contents h4 { font-size: 19px;line-height: 24px;margin-bottom: 10px;}



}
@media (max-width: 767.98px) and (orientation: landscape){
    
.all-blogs{display: grid ; grid-template-columns: 1fr; grid-gap: 40px; margin-top: 25px;}
.blog-left-side { position: unset;}
.blog-page, .blog-single-page { padding: 50px 0; }
.blog-page .top-heading-sec h2 { font-size: 32px; line-height: 40px; text-align: center; margin-bottom: 22px; }
.blog-page .top-heading-sec h2 br{display: none;}
.blog-page .latest-sec::before{width: 100%; margin: 20px 0; height: 3px;}
.latest-sec ul{padding: 0px 0 10px 0; overflow-x: auto; overflow-y: hidden; display: flex ; justify-content: flex-start;}
.latest-sec ul li{font-size: 17px; line-height: 21px; display: inline; white-space: nowrap; margin-bottom: 0; margin-right: 15px; width: max-content;}
.blog-right-side { padding-left: 12px; border-left: 0; }
.category-heading p{font-size: 14px; line-height: 25px;margin-bottom: 10px;margin-top: 0; text-align: center;}
.category-heading h1{font-size: 36px; line-height: 37px; text-align: center; margin-bottom: 20px;}
.all-blogs .each-blog img{height: 200px;    margin-bottom: 20px;    border-radius: 6px;}
.all-blogs .each-blog .info span { margin: 0 5px; }
.all-blogs .each-blog .info h4{font-size: 11px;}
.all-blogs .each-blog h3 { font-size: 22px;line-height: 30px;margin-bottom: 10px;}
.all-blogs .each-blog p { font-size: 16px;line-height: 24px;height: 100px;    margin-bottom: 15px;}
.all-blogs .each-blog .read-more-btn{font-size: 16px;}
.blog-page .pagination .page-numbers{padding: 10px 10px;font-size: 14px;line-height: 15px;margin-top: 50px;}
.blog-single-page p.all-posts{    margin-bottom: 0;}
.blog-single-page .single-left-side .toc-sec { display: none;}
.blog-single-page .single-right-side { padding-left: 12px; }
.blog-single-page .single-right-side h1 { font-size: 26px; line-height: 35px;}
.blog-single-page p.all-posts a{text-decoration: none; padding: 11px 15px 10px 35px; background-position: 15px 13px; display: inline-block; border: 1px solid #333; background-size: 14px; margin-bottom: 30px;}
.blog-single-page .single-right-side p { font-size: 14px;}
.blog-single-page .single-right-side .all-blog-contents { margin-top: 20px; }
.blog-single-page .single-right-side .all-blog-contents p { font-size: 16px; line-height: 26px; margin-bottom: 10px;}
.blog-single-page .single-right-side .all-blog-contents h2, .blog-single-page .single-right-side .all-blog-contents h3 { font-size: 22px; line-height: 32px;margin-bottom: 10px; margin-top: 20px;}
.blog-single-page .single-right-side .all-blog-contents h4 { font-size: 19px;line-height: 24px;margin-bottom: 10px;}



}